Subject: bug#36747: Official MesCC bootstrap binaries differ from my locally built ones

From: Mark H Weaver <[email-masked]>
Date: Thu, 29 Aug 2019 15:28:29 -0400

Hi Ludovic and Ricardo,

Ludovic Courtès <[email-masked]> writes:

> Mark H Weaver <[email-masked]> skribis:
>
>> I pushed the revised commits to 'core-updates', but something seems to
>> have gone wrong with the new evaluation on Berlin:
>>
>>   https://ci.guix.gnu.org/jobset/core-updates-core-updates
>>   https://ci.guix.gnu.org/eval/7008
>>
>> The first URL above shows a big "X" in the "Success" column for
>> evaluation 7008, which corresponds to the new commits I just pushed, to
>> switch to the new bootstrap tarballs.
>
> We had a Bison build failure:
>
>   https://ci.guix.gnu.org/log/4rvzs59q3smm4kwyfnf7m58a48rql0fs-bison-3.4.1
[...]
> I’ve addressed it by a hack in c55fae452032aa4b1b63406983e9abdf70adc957.

Thanks.  The next evaluation got further, but eventually failed.  Again,
there seems no way to get any details on what went wrong from the web
interface:

  https://ci.guix.gnu.org/jobset/core-updates-core-updates
  https://ci.guix.gnu.org/eval/7029

The second URL works this time, but it shows no results: 0 scheduled
builds, 0 succeeded builds, 0 failed builds, and it says "No elements
here."

Can you see what happened?

      Thanks,
        Mark